/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.bean;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 用户详情表(tbl_user)
 *
 * @author bianj
 * @version 1.0.0 2017-06-28
 */
@Entity
@Table(name = "tbl_user")
public class Tbl_User implements java.io.Serializable {

    /**
     * 版本号
     */
    private static final long serialVersionUID = 1916426418064460350L;

    /**
     * 用户Id
     */
    @Id
    @Column(name = "user_id", unique = true, nullable = false, length = 10)
    private Integer userId;

    /**
     * 昵称
     */
    @Column(name = "nick_name", nullable = true, length = 20)
    private String nickName;

    /**
     * 密码
     */
    @Column(name = "user_password", nullable = true, length = 32)
    private String userPassword;

    /**
     * 手机
     */
    @Column(name = "phone_number", unique = true, nullable = true, length = 11)
    private String phoneNumber;

    /**
     * 邮箱
     */
    @Column(name = "user_email", unique = true, nullable = true, length = 50)
    private String userEmail;

    /**
     * 用户类型
     */
    @Column(name = "user_type", nullable = false, length = 1)
    private String userType;

    /**
     * 头像
     */
    @Column(name = "user_img", nullable = true, length = 100)
    private String userImg;

    /**
     * 性别
     */
    @Column(name = "user_sex", nullable = true, length = 1)
    private String userSex;

    /**
     * 登陆次数
     */
    @Column(name = "login_count", nullable = true, length = 10)
    private Integer loginCount;

    /**
     * 修改时间
     */
    @Column(name = "update_time", nullable = true)
    private Date updateTime;

    /**
     * 登陆时间
     */
    @Column(name = "login_time", nullable = true)
    private Date loginTime;

    /**
     * 注册时间
     */
    @Column(name = "create_time", nullable = true)
    private Date createTime;

    /**
     * 登陆手机类型
     */
    @Column(name = "login_type", nullable = true, length = 10)
    private String loginType;

    /**
     * 备注
     */
    @Column(name = "remarks", nullable = true, length = 100)
    private String remarks;

    /**
     * 地址
     */
    @Column(name = "address", nullable = true, length = 200)
    private String address;

    /**
     * 技威Code1
     */
    @Column(name = "p2pverify_code1", nullable = true, length = 50)
    private String p2pverifyCode1;

    /**
     * 技威Code2
     */
    @Column(name = "p2pverify_code2", nullable = true, length = 50)
    private String p2pverifyCode2;

    /**
     * 技威用户ID
     */
    @Column(name = "gwell_userid", nullable = true, length = 50)
    private String gwellUserid;

    /**
     * 是否注册技威：1已注册、0未注册
     */
    @Column(name = "is_register_gwell", nullable = true, length = 1)
    private String isRegisterGwell;

    /**
     * 极光用户ID
     */
    @Column(name = "jiguang_userid", nullable = true, length = 50)
    private String jiguangUserid;

    /**
     *     */
    @Column(name = "token", nullable = true, length = 50)
    private String token;

    /**
     * 经度
     */
    @Column(name = "longitude", nullable = true)
    private Double longitude;

    /**
     * 纬度
     */
    @Column(name = "latitude", nullable = true)
    private Double latitude;

    /**
     * 获取用户Id
     *
     * @return 用户Id
     */
    public Integer getUserId() {
        return this.userId;
    }

    /**
     * 设置用户Id
     *
     * @param userId 用户Id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取昵称
     *
     * @return 昵称
     */
    public String getNickName() {
        return this.nickName;
    }

    /**
     * 设置昵称
     *
     * @param nickName 昵称
     */
    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    /**
     * 获取密码
     *
     * @return 密码
     */
    public String getUserPassword() {
        return this.userPassword;
    }

    /**
     * 设置密码
     *
     * @param userPassword 密码
     */
    public void setUserPassword(String userPassword) {
        this.userPassword = userPassword;
    }

    /**
     * 获取手机
     *
     * @return 手机
     */
    public String getPhoneNumber() {
        return this.phoneNumber;
    }

    /**
     * 设置手机
     *
     * @param phoneNumber 手机
     */
    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    /**
     * 获取邮箱
     *
     * @return 邮箱
     */
    public String getUserEmail() {
        return this.userEmail;
    }

    /**
     * 设置邮箱
     *
     * @param userEmail 邮箱
     */
    public void setUserEmail(String userEmail) {
        this.userEmail = userEmail;
    }

    /**
     * 获取用户类型
     *
     * @return 用户类型
     */
    public String getUserType() {
        return this.userType;
    }

    /**
     * 设置用户类型
     *
     * @param userType 用户类型
     */
    public void setUserType(String userType) {
        this.userType = userType;
    }

    /**
     * 获取头像
     *
     * @return 头像
     */
    public String getUserImg() {
        return this.userImg;
    }

    /**
     * 设置头像
     *
     * @param userImg 头像
     */
    public void setUserImg(String userImg) {
        this.userImg = userImg;
    }

    /**
     * 获取性别
     *
     * @return 性别
     */
    public String getUserSex() {
        return this.userSex;
    }

    /**
     * 设置性别
     *
     * @param userSex 性别
     */
    public void setUserSex(String userSex) {
        this.userSex = userSex;
    }

    /**
     * 获取登陆次数
     *
     * @return 登陆次数
     */
    public Integer getLoginCount() {
        return this.loginCount;
    }

    /**
     * 设置登陆次数
     *
     * @param loginCount 登陆次数
     */
    public void setLoginCount(Integer loginCount) {
        this.loginCount = loginCount;
    }

    /**
     * 获取修改时间
     *
     * @return 修改时间
     */
    public Date getUpdateTime() {
        return this.updateTime;
    }

    /**
     * 设置修改时间
     *
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取登陆时间
     *
     * @return 登陆时间
     */
    public Date getLoginTime() {
        return this.loginTime;
    }

    /**
     * 设置登陆时间
     *
     * @param loginTime 登陆时间
     */
    public void setLoginTime(Date loginTime) {
        this.loginTime = loginTime;
    }

    /**
     * 获取注册时间
     *
     * @return 注册时间
     */
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * 设置注册时间
     *
     * @param createTime 注册时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取登陆手机类型
     *
     * @return 登陆手机类型
     */
    public String getLoginType() {
        return this.loginType;
    }

    /**
     * 设置登陆手机类型
     *
     * @param loginType 登陆手机类型
     */
    public void setLoginType(String loginType) {
        this.loginType = loginType;
    }

    /**
     * 获取备注
     *
     * @return 备注
     */
    public String getRemarks() {
        return this.remarks;
    }

    /**
     * 设置备注
     *
     * @param remarks 备注
     */
    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    /**
     * 获取地址
     *
     * @return 地址
     */
    public String getAddress() {
        return this.address;
    }

    /**
     * 设置地址
     *
     * @param address 地址
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * 获取技威Code1
     *
     * @return 技威Code1
     */
    public String getP2pverifyCode1() {
        return this.p2pverifyCode1;
    }

    /**
     * 设置技威Code1
     *
     * @param p2pverifyCode1 技威Code1
     */
    public void setP2pverifyCode1(String p2pverifyCode1) {
        this.p2pverifyCode1 = p2pverifyCode1;
    }

    /**
     * 获取技威Code2
     *
     * @return 技威Code2
     */
    public String getP2pverifyCode2() {
        return this.p2pverifyCode2;
    }

    /**
     * 设置技威Code2
     *
     * @param p2pverifyCode2 技威Code2
     */
    public void setP2pverifyCode2(String p2pverifyCode2) {
        this.p2pverifyCode2 = p2pverifyCode2;
    }

    /**
     * 获取技威用户ID
     *
     * @return 技威用户ID
     */
    public String getGwellUserid() {
        return this.gwellUserid;
    }

    /**
     * 设置技威用户ID
     *
     * @param gwellUserid 技威用户ID
     */
    public void setGwellUserid(String gwellUserid) {
        this.gwellUserid = gwellUserid;
    }

    /**
     * 获取是否注册技威：1已注册、0未注册
     *
     * @return 是否注册技威
     */
    public String getIsRegisterGwell() {
        return this.isRegisterGwell;
    }

    /**
     * 设置是否注册技威：1已注册、0未注册
     *
     * @param isRegisterGwell 是否注册技威：1已注册、0未注册
     */
    public void setIsRegisterGwell(String isRegisterGwell) {
        this.isRegisterGwell = isRegisterGwell;
    }

    /**
     * 获取极光用户ID
     *
     * @return 极光用户ID
     */
    public String getJiguangUserid() {
        return this.jiguangUserid;
    }

    /**
     * 设置极光用户ID
     *
     * @param jiguangUserid 极光用户ID
     */
    public void setJiguangUserid(String jiguangUserid) {
        this.jiguangUserid = jiguangUserid;
    }

    /**
     * 获取
     *
     * @return
     */
    public String getToken() {
        return this.token;
    }

    /**
     * 设置
     *
     * @param token
     *
     */
    public void setToken(String token) {
        this.token = token;
    }

    /**
     * 获取经度
     *
     * @return 经度
     */
    public Double getLongitude() {
        return this.longitude;
    }

    /**
     * 设置经度
     *
     * @param longitude 经度
     */
    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    /**
     * 获取纬度
     *
     * @return 纬度
     */
    public Double getLatitude() {
        return this.latitude;
    }

    /**
     * 设置纬度
     *
     * @param latitude 纬度
     */
    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }
}
